Bug 1651291 - [Regression] Static Dialogs are not Populated when Submitting API Requests for Service Catalog
Summary: [Regression] Static Dialogs are not Populated when Submitting API Requests fo...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: API
Version: 5.9.5
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.9.6
Assignee: Tina Fitzgerald
QA Contact: Parthvi Vala
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On: 1650252
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-19 15:59 UTC by Satoe Imaishi
Modified: 2018-12-13 15:16 UTC (History)
6 users (show)

Fixed In Version: 5.9.6.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1650252
Environment:
Last Closed: 2018-12-13 15:16:02 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3816 None None None 2018-12-13 15:16:08 UTC

Comment 3 Parthvi Vala 2018-11-22 07:18:46 UTC
FIXED. Verified on 5.9.6.2.20181119175512_3a18916.

Creating the service dialog as mentioned in the original comment, I sent this request.
Request: POST /api/service_catalogs/:id/service_templates/:id
Query: {
	"action": "order",
	"resource": {
		"input_dropdown": "Two",
		"text_box": "hello"
	}
}

Response: {
	"href": "https://<ip_address>/api/service_requests/2",
	"id": "2",
	"description": "Provisioning Service [catalog_item_1] from [catalog_item_1]",
	"approval_state": "pending_approval",
	"type": "ServiceTemplateProvisionRequest",
	"created_on": "2018-11-22T07:11:56Z",
	"updated_on": "2018-11-22T07:11:57Z",
	"requester_id": "1",
	"requester_name": "Administrator",
	"request_type": "clone_to_service",
	"request_state": "pending",
	"message": "Service_Template_Provisioning - Request Created",
	"status": "Ok",
	"options": {
		"dialog": {
			"dialog_input_dropdown": "Two",
			"dialog_text_box": "hello"
		},
		"workflow_settings": {
			"resource_action_id": "23",
			"dialog_id": "2"
		},
		"src_id": "1",
		"request_options": {
			"submit_workflow": true,
			"init_defaults": false
		},
		"cart_state": "ordered",
		"requester_group": "EvmGroup-super_administrator"
	},
	"userid": "admin",
	"source_id": "1",
	"source_type": "ServiceTemplate",
	"tenant_id": "1",
	"service_order_id": "2",
	"process": true,
	"service_templates": {
		"count": 0,
		"resources": [],
		"actions": [
			...
		]
	}
}

Comment 5 errata-xmlrpc 2018-12-13 15:16:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3816


Note You need to log in before you can comment on or make changes to this bug.